skylighting-core-0.14: syntax highlighting library

Safe Haskell | Safe-Inferred
Language | Haskell2010

Skylighting.Tokenizer

Synopsis

- tokenize :: TokenizerConfig -> Syntax -> Text -> Either String [SourceLine]
- data TokenizerConfig = TokenizerConfig {
  - syntaxMap :: SyntaxMap
  - traceOutput :: Bool
  }

# Documentation

tokenize :: TokenizerConfig -> Syntax -> Text -> Either String [SourceLine] #

Tokenize some text using `Syntax`.

data TokenizerConfig #

Configuration options for `tokenize`.

Constructors

TokenizerConfig |

Fields

- syntaxMap :: SyntaxMap

  Syntax map to use

- traceOutput :: Bool

  Generate trace output for debugging

#### Instances

Instances details

Show TokenizerConfig # |
Instance details Defined in Skylighting.Tokenizer Methods showsPrec :: Int -> TokenizerConfig -> ShowS show :: TokenizerConfig -> String showList :: [TokenizerConfig] -> ShowS